ECLIPSE(1)

NAME
Eclipse SUMO activitygen Version - Generates routes of persons throughout a day for the microscopic traffic simulation SUMO

SYNOPSIS
activitygen [OPTION]*

DESCRIPTION
Eclipse SUMO activitygen Version v1_14_1+1447-a9bb7416089

    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de Copyright (C) 2010-2012 Technische Universitaet Muenchen

Generates trips of persons throughout a day for the microscopic, multi-modal

    traffic simulation SUMO.

  Configuration Options:

-c, --configuration-file FILE
    Loads the named config on startup

-C, --save-configuration FILE
    Saves current configuration into FILE

--save-configuration.relative
    Enforce relative paths when saving the configuration

--save-template FILE
    Saves a configuration template (empty) into FILE

--save-schema FILE
    Saves the configuration schema into FILE

--save-commented
    Adds comments to saved template, configuration, or schema

  Input Options:

-n, --net-file FILE
    Use FILE as SUMO-network to create trips for

-s, --stat-file FILE
    Loads the SUMO-statistics FILE

  Output Options:

--write-license
    Include license info into every output file

--output-prefix STR
    Prefix which is applied to all output files. The special string 'TIME' is replaced by the current time.

--precision INT
    Defines the number of digits after the comma for floating point output

--precision.geo INT
    Defines the number of digits after the comma for lon,lat output

-H, --human-readable-time
    Write time values as hour:minute:second or day:hour:minute:second rather than seconds

-o, --output-file FILE
    Write generated trips to FILE

Processing Options:

  Time Options:

-b, --begin INT
    Sets the time of beginning of the simulation during the first day (in seconds)

-e, --end INT
    Sets the time of ending of the simulation during the last day (in seconds)

--duration-d INT
    Sets the duration of the simulation in days

  Report Options:

-v, --verbose
    Switches to verbose output

--print-options
    Prints option values before processing

-?, --help
    Prints this screen or selected topics

-V, --version
    Prints the current version

-X, --xml-validation STR
    Set schema validation scheme of XML inputs ("never", "local", "auto" or "always")

--xml-validation.net STR
    Set schema validation scheme of SUMO network inputs ("never", "local", "auto" or "always")

-W, --no-warnings
    Disables output of warnings

--aggregate-warnings INT
    Aggregate warnings of the same type whenever more than INT occur

-l, --log FILE
    Writes all messages to FILE (implies verbose)

--message-log FILE
    Writes all non-error messages to FILE (implies verbose)

--error-log FILE
    Writes all warnings and errors to FILE

--debug
    Detailed messages about every single step

  Random Number Options:

--random
    Initialises the random number generator with the current system time

--seed INT
    Initialises the random number generator with the given value

EXAMPLES

    activitygen --net-file <INPUT>.net.xml --stat-file <INPUT>.stat.xml --output <OUTPUT>.rou.xml --rand

    generate a trips file from a stats file on a given net using arbitrary random seed

    activitygen --net-file <INPUT>.net.xml --stat-file <INPUT>.stat.xml --output <OUTPUT>.rou.xml --duration-d <NBR_OF_DAYS>

    generate a trips file from a stats file on a given net for numerous days (with fixed random seed)

REPORTING BUGS
Report bugs at <https://github.com/eclipse/sumo/issues>.
Get in contact via <sumo@dlr.de>.

    Build features: Linux-5.4.0-125-generic x86_64 GNU 9.4.0 Release FMI Proj GUI SWIG
    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de
    Copyright (C) 2010-2012 Technische Universitaet Muenchen

Eclipse SUMO activitygen Version v1_14_1+1447-a9bb7416089 is part of SUMO.
This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html
This program may also be made available under the following Secondary
Licenses when the conditions for such availability set forth in the Eclipse
Public License 2.0 are satisfied: GNU General Public License, version 2 or later which is available at https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html
SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-or-later